NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::EmbossRegion Class Reference

Represents an emboss region object. More...

Inheritance diagram for NXOpen::Features::EmbossRegion:
NXOpen::TaggedObject

Public Types

enum  ConvexityOption { ConvexityOptionAbove, ConvexityOptionBelow, ConvexityOptionMixed }
 Describes whether the emboss geometry is above the target("Pad") or below the target("Pocket"), or both("Mixed"). More...
 

Public Member Functions

NXOpen::Features::EmbossRegion::ConvexityOption Convexity ()
 Returns the convexity option
Created in NX4.0.0. More...
 
NXOpen::DirectionDirection ()
 Returns the default direction
Created in NX4.0.0. More...
 
std::vector
< NXOpen::Features::EmbossLimit * > 
GetLimits ()
 The emboss limits. More...
 
NXOpen::Features::EmbossProjectionProjection ()
 Returns the emboss projection object
Created in NX4.0.0. More...
 
NXOpen::SectionSection ()
 Returns the section that is composed of chains
Created in NX4.0.0. More...
 
void SetConvexity (NXOpen::Features::EmbossRegion::ConvexityOption convexity)
 Sets the convexity option
Created in NX4.0.0. More...
 
void SetDirection (NXOpen::Direction *direction)
 Sets the default direction
Created in NX4.0.0. More...
 
void SetLimits (const std::vector< NXOpen::Features::EmbossLimit * > &limits)
 The emboss limits
Created in NX4.0.0. More...
 
void SetProjection (NXOpen::Features::EmbossProjection *projection)
 Sets the emboss projection object
Created in NX4.0.0. More...
 
void SetSection (NXOpen::Section *section)
 Sets the section that is composed of chains
Created in NX4.0.0. More...
 
void SetSidewall (NXOpen::Features::EmbossSidewall *sidewall)
 Sets the emboss sidewall object
Created in NX4.0.0. More...
 
NXOpen::Features::EmbossSidewallSidewall ()
 Returns the emboss sidewall object
Created in NX4.0.0. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents an emboss region object.


This class provides methods to set and get the various emboss region sub components.

Following are default values and options:


Section User must set it

Direction If user do not specify it, it uses section normal as default direction.

Convexity Option Features::EmbossRegion::ConvexityOptionMixed

Emboss Projection EmbossProjection object

Emboss Sidewall EmbossSidewall object

Emboss Limit (array) EmbossLimit object


Created in NX4.0.0.

Member Enumeration Documentation

Describes whether the emboss geometry is above the target("Pad") or below the target("Pocket"), or both("Mixed").

Enumerator
ConvexityOptionAbove 

Indicates the emboss geometry is above the target("Pad").

ConvexityOptionBelow 

Indicates the emboss geometry is below the target("Pocket").

ConvexityOptionMixed 

Indicates the emboss geometry is both above and below the Target("Mixed").

Default creation.

Member Function Documentation

NXOpen::Features::EmbossRegion::ConvexityOption NXOpen::Features::EmbossRegion::Convexity ( )

Returns the convexity option
Created in NX4.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::EmbossRegion::Direction ( )

Returns the default direction
Created in NX4.0.0.



License requirements : None

std::vector<NXOpen::Features::EmbossLimit *> NXOpen::Features::EmbossRegion::GetLimits ( )

The emboss limits.

Returns
Array of EmbossLimit objects. In NX4, only one limit is supported.
Created in NX4.0.0.

License requirements : None
NXOpen::Features::EmbossProjection* NXOpen::Features::EmbossRegion::Projection ( )

Returns the emboss projection object
Created in NX4.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::EmbossRegion::Section ( )

Returns the section that is composed of chains
Created in NX4.0.0.



License requirements : None

void NXOpen::Features::EmbossRegion::SetConvexity ( NXOpen::Features::EmbossRegion::ConvexityOption  convexity)

Sets the convexity option
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
convexityThe convexity option. See the comment of Features::EmbossRegion::ConvexityOption for more details.
void NXOpen::Features::EmbossRegion::SetDirection ( NXOpen::Direction direction)

Sets the default direction
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
directionThe default direction for section projection/translation/sidewall/joggle, if they are not specified
void NXOpen::Features::EmbossRegion::SetLimits ( const std::vector< NXOpen::Features::EmbossLimit * > &  limits)

The emboss limits
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
limitsArray of EmbossLimit objects. In NX4, only one limit is supported.
void NXOpen::Features::EmbossRegion::SetProjection ( NXOpen::Features::EmbossProjection projection)

Sets the emboss projection object
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
projectionThe emboss projection object
void NXOpen::Features::EmbossRegion::SetSection ( NXOpen::Section section)

Sets the section that is composed of chains
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sectionThe section that is composed of chains. Each Chain will be a tangent list of curves so the Draft angles for sidewalls can be managed properly.
void NXOpen::Features::EmbossRegion::SetSidewall ( NXOpen::Features::EmbossSidewall sidewall)

Sets the emboss sidewall object
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sidewallThe emboss sidewall object
NXOpen::Features::EmbossSidewall* NXOpen::Features::EmbossRegion::Sidewall ( )

Returns the emboss sidewall object
Created in NX4.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.